TOPDIR?=../..
PLATFORMDIR?=${TOPDIR}

MKINDEX=${DEST_BIN}/mkindex

TESTDIR=$(abspath ${DEST}/regress/swig_bsapi)

REGRESS_DEPEND=${TESTDIR}/aindex bconfd-regress-start asearch-platform-regress-start-$(subst /,--,${TESTDIR})--asearch
REGRESS_CLEANUP=asearch-platform-regress-stop-$(subst /,--,${TESTDIR})--asearch bconfd-regress-stop

EXTRACLEAN+=aindex .python.out
RMFLAGS=-r

include ${PLATFORMDIR}/mk/ninja.mk

ifeq (${PYTHON_MAJOR}, 2)
NO_REGRESS=1
else
REGRESS_TARGETS+=python-test
endif

include ${PLATFORMDIR}/mk/regressinit.mk
include ${PLATFORMDIR}/mk/regress.mk

${TESTDIR}/aindex: aindex.txt
	rm -rf $@
	mkdir -p ${TESTDIR}
	${MKINDEX} $@ ${DEST}/regress/conf/charmap/charmap-swedish aindex.txt

python-%:
	PYTHONPATH=${DEST}/lib/python ${CMD_PREFIX} ${PYTHON} python_$*.py ${REGRESS_ASEARCH_SEARCH_PORT} > .python.out
	${MATCH} .python.out python_$*.out
